package com.jpsoft.shinestar.modules.business.service;

import java.util.List;
import java.util.Map;

import com.jpsoft.shinestar.modules.business.dto.BillPushDetailDTO;
import com.jpsoft.shinestar.modules.business.entity.BillPush;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface BillPushService {
	BillPush get(String id);
	boolean exist(String id);
	int insert(BillPushDetailDTO dto,String subject);
	int update(BillPush model);
	int delete(String id);
	List<BillPush> list();
	Page<BillPush> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);

    BillPush findByOrderId(String orderId);

    void sendAccountRemind(BillPush billPush);

    void sendNotPayBillRemind(BillPush billPush);
}